# Uses of Interface
org.eclipse.emf.compare.AttributeChange

Packages that use AttributeChange
Package
Description
org.eclipse.emf.compare
org.eclipse.emf.compare.impl
org.eclipse.emf.compare.internal.conflict
org.eclipse.emf.compare.internal.postprocessor.factories
org.eclipse.emf.compare.internal.spec
org.eclipse.emf.compare.merge
org.eclipse.emf.compare.provider.spec
org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.impl
org.eclipse.emf.compare.util

## Uses of AttributeChange in org.eclipse.emf.compare

Methods in org.eclipse.emf.compare that return AttributeChange
Modifier and Type
Method
Description
`AttributeChange`
CompareFactory.`createAttributeChange()`
Returns a new object of class 'Attribute Change'.

## Uses of AttributeChange in org.eclipse.emf.compare.impl

Classes in org.eclipse.emf.compare.impl that implement AttributeChange
Modifier and Type
Class
Description
`class`
`AttributeChangeImpl`
An implementation of the model object 'Attribute Change'.
Methods in org.eclipse.emf.compare.impl that return AttributeChange
Modifier and Type
Method
Description
`AttributeChange`
CompareFactoryImpl.`createAttributeChange()`

## Uses of AttributeChange in org.eclipse.emf.compare.internal.conflict

Methods in org.eclipse.emf.compare.internal.conflict that return types with arguments of type AttributeChange
Modifier and Type
Method
Description
`AbstractConflictSearch<AttributeChange>`
ConflictSearchFactory.`caseAttributeChange(AttributeChange diff)`
Methods in org.eclipse.emf.compare.internal.conflict with parameters of type AttributeChange
Modifier and Type
Method
Description
`AbstractConflictSearch<AttributeChange>`
ConflictSearchFactory.`caseAttributeChange(AttributeChange diff)`
`protected String`
AbstractConflictSearch.`getChangedValue(AttributeChange attributeChange)`
Returns the changed attribute value denoted by the given `diff`.
`protected boolean`
AbstractConflictSearch.`isMergeable(AttributeChange diff1, AttributeChange diff2)`
Specifies whether the two given attribute changes, `diff1` and `diff2`, can be merged with a line-based three-way merge.
Constructors in org.eclipse.emf.compare.internal.conflict with parameters of type AttributeChange
Modifier
Constructor
Description
``
`Add(AttributeChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Change(AttributeChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Delete(AttributeChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.
``
`Move(AttributeChange diff, ComparisonIndex index, Monitor monitor)`
Constructor.

## Uses of AttributeChange in org.eclipse.emf.compare.internal.postprocessor.factories

Methods in org.eclipse.emf.compare.internal.postprocessor.factories with parameters of type AttributeChange
Modifier and Type
Method
Description
`protected boolean`
AbstractChangeFactory.`isRelatedToAnExtensionAdd(AttributeChange input)`
Check if the given attribute change is related to a graphical add.
`protected boolean`
AbstractChangeFactory.`isRelatedToAnExtensionChange(AttributeChange input)`
Check if the given attribute change is related to a graphical change.
`protected boolean`
AbstractChangeFactory.`isRelatedToAnExtensionDelete(AttributeChange input)`
Check if the given attribute change is related to a graphical delete.
`protected boolean`
AbstractChangeFactory.`isRelatedToAnExtensionMove(AttributeChange input)`
Check if the given attribute change is related to a graphical move.

## Uses of AttributeChange in org.eclipse.emf.compare.internal.spec

Classes in org.eclipse.emf.compare.internal.spec that implement AttributeChange
Modifier and Type
Class
Description
`class`
`AttributeChangeSpec`
This specialization of the `AttributeChangeImpl` class allows us to define the derived features and operations implementations.

## Uses of AttributeChange in org.eclipse.emf.compare.merge

Methods in org.eclipse.emf.compare.merge with parameters of type AttributeChange
Modifier and Type
Method
Description
`protected void`
AttributeChangeMerger.`addInTarget(AttributeChange diff, boolean rightToLeft)`
This will be called when we need to create an element in the target side.
`protected void`
AttributeChangeMerger.`changeValue(AttributeChange diff, boolean rightToLeft)`
This will be called by the merge operations in order to change single-valued attributes.
`protected void`
AttributeChangeMerger.`doMove(AttributeChange diff, Comparison comparison, EObject expectedContainer, Object expectedValue, boolean rightToLeft)`
This will do the actual work of moving the element into its attribute.
`protected void`
AttributeChangeMerger.`moveElement(AttributeChange diff, boolean rightToLeft)`
This will be called when trying to copy a "MOVE" diff.
`protected void`
AttributeChangeMerger.`removeFromTarget(AttributeChange diff, boolean rightToLeft)`
This will be called when we need to remove an element from the target side.
`protected void`
AttributeChangeMerger.`resetInTarget(AttributeChange diff, boolean rightToLeft)`
Deprecated.
this has been refactored into `AttributeChangeMerger.changeValue(AttributeChange, boolean)`.

## Uses of AttributeChange in org.eclipse.emf.compare.provider.spec

Methods in org.eclipse.emf.compare.provider.spec with parameters of type AttributeChange
Modifier and Type
Method
Description
`protected String`
AttributeChangeItemProviderSpec.`getAttributeText(AttributeChange attChange)`
Returns the name of the attribute linked to the given `AttributeChange`.
`protected String`
AttributeChangeItemProviderSpec.`getValueText(AttributeChange attChange)`
Converts to text the given `AttributeChange`.

## Uses of AttributeChange in org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.impl

Constructors in org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.accessor.impl with parameters of type AttributeChange
Modifier
Constructor
Description
``
`StringAttributeChangeAccessor(EObject eObject, AttributeChange attributeChange)`
Creates a new accessor for the given `eObject` and `eAttribute`.

## Uses of AttributeChange in org.eclipse.emf.compare.util

Methods in org.eclipse.emf.compare.util with parameters of type AttributeChange
Modifier and Type
Method
Description
`T`
CompareSwitch.`caseAttributeChange(AttributeChange object)`
Returns the result of interpreting the object as an instance of 'Attribute Change'.